Package org.jbpm.process.core

## Interface Process

- All Superinterfaces:
    `ContextContainer`, `org.kie.api.definition.KieDefinition`, `org.kie.api.definition.process.Process`
  All Known Subinterfaces:
    `WorkflowProcess`
  All Known Implementing Classes:
    `ProcessImpl`, `RuleFlowProcess`, `WorkflowProcessImpl`

      public interface Process
      extends org.kie.api.definition.process.Process, ContextContainer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.definition.KieDefinition

      `org.kie.api.definition.KieDefinition.KnowledgeType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `getFunctionImports()` | Returns the function imports of this RuleFlow process.
    `String[]` | `getGlobalNames()` | Returns the names of the globals used in this RuleFlow process
    `Map<String,​String>` | `getGlobals()` | Returns the globals of this RuleFlow process.
    `Set<String>` | `getImports()` | Returns the imports of this RuleFlow process.
    `void` | `setFunctionImports​(List<String> functionImports)` | Sets the imports of this RuleFlow process
    `void` | `setGlobals​(Map<String,​String> globals)` | Sets the imports of this RuleFlow process
    `void` | `setId​(String id)` | Sets the id of this process.
    `void` | `setImports​(Set<String> imports)` | Sets the imports of this RuleFlow process
    `void` | `setMetaData​(String name, Object value)` |
    `void` | `setName​(String name)` | Sets the name of this process.
    `void` | `setPackageName​(String packageName)` | Sets the package name of this RuleFlow process
    `void` | `setType​(String type)` | Sets the type of this process.
    `void` | `setVersion​(String version)` | Sets the version of this process.

    - ### Methods inherited from interface org.jbpm.process.core.ContextContainer

      `addContext, getContext, getContexts, getDefaultContext, setDefaultContext`

    - ### Methods inherited from interface org.kie.api.definition.KieDefinition

      `getKnowledgeType, getNamespace`

    - ### Methods inherited from interface org.kie.api.definition.process.Process

      `getId, getMetaData, getName, getPackageName, getResource, getType, getVersion, setResource`

- - ### Method Detail

    - #### setId

          void setId​(String id)

      Sets the id of this process. The id should uniquely identify this process.
      Parameters:
        `id` - the id of the process

    - #### setName

          void setName​(String name)

      Sets the name of this process.
      Parameters:
        `name` - the name of this process

    - #### setVersion

          void setVersion​(String version)

      Sets the version of this process.
      Parameters:
        `version` - the version of this process

    - #### setType

          void setType​(String type)

      Sets the type of this process.
      Parameters:
        `type` - the type of this process

    - #### setPackageName

          void setPackageName​(String packageName)

      Sets the package name of this RuleFlow process
      Parameters:
        `packageName` - the package name of this RuleFlow process

    - #### setMetaData

          void setMetaData​(String name,
                           Object value)

    - #### getImports

          Set<String> getImports()

      Returns the imports of this RuleFlow process. They are defined as a List of fully qualified class names.
      Returns:
        the imports of this RuleFlow process

    - #### setImports

          void setImports​(Set<String> imports)

      Sets the imports of this RuleFlow process
      Parameters:
        `imports` - the imports as a List of fully qualified class names

    - #### getFunctionImports

          List<String> getFunctionImports()

      Returns the function imports of this RuleFlow process. They are defined as a List of fully qualified class names.
      Returns:
        the function imports of this RuleFlow process

    - #### setFunctionImports

          void setFunctionImports​(List<String> functionImports)

      Sets the imports of this RuleFlow process
      Parameters:
        `functionImports` - the imports as a List of fully qualified class names

    - #### getGlobals

          Map<String,​String> getGlobals()

      Returns the globals of this RuleFlow process. They are defined as a Map with the name as key and the type as value.
      Returns:
        the imports of this RuleFlow process

    - #### setGlobals

          void setGlobals​(Map<String,​String> globals)

      Sets the imports of this RuleFlow process
      Parameters:
        `globals` - the globals as a Map with the name as key and the type as value

    - #### getGlobalNames

          String[] getGlobalNames()

      Returns the names of the globals used in this RuleFlow process
      Returns:
        the names of the globals of this RuleFlow process